> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete address

<Warning>
  **v1 (legacy).** This page documents the API before the v2 update. The v1
  format is not enabled for new accounts and must be enabled on your account by
  your account manager. New integrations should use the
  [current documentation](/introduction). To update an existing integration,
  follow the [migration guide](/migration).
</Warning>

### Requirements to consume the endpoint.

<CardGroup cols={1}>
  <Card title="Create and modify role" icon="user-lock">
    The user must have the role to create and modify.
  </Card>
</CardGroup>


## OpenAPI

````yaml v1/api-reference/address-docs.json DELETE /api/addresses/{id}
openapi: 3.0.0
info:
  version: v1.0.0
  title: Address service API (legacy v1)
  description: API for managing address service in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/addresses/{id}:
    delete:
      summary: Delete address
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the crypto address to delete.
      responses:
        '204':
          description: No Content
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/unauthorizedSchema'
          description: Unauthorized
components:
  schemas:
    unauthorizedSchema:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: number
                example: 19
              message:
                type: string
                example: Not authorized
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.